﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Form Fields Filling - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Form Fields Filling Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf form, pdf form fields, pdf form filling, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfFormFilling", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Form Fields Filling - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to use SelectPdf Library for .NET to load an existing document that contains an AcroForm PDF form, fill some of the fields and save the document.
                <br />
                <br />
                Here is our test pdf document that contains a PDF form:<br />
                <a href="~/files/w-9.pdf" target="_blank">Test form</a><br />
                <br />
                Click on the "Create PDF" button below to see the result.
            </p>
            <p>
                <input type="submit" id="BtnCreatePdf" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
       
End Using
    