﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf To Image Converter. PDF to JPeg. PDF to Png. Pdf Rasterizer - VB.NET / ASP.NET MVC"
    ViewBag.Description = "Pdf To Image Converter. PDF to JPeg. PDF to Png. Pdf Rasterizer Sample for VB.NET/ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf to image, pdf to jpeg, pdf rasterizer, pdf to jpg, pdf to png, pdf to tiff, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "PdfToImageConverter", FormMethod.Post))
@<article class="post type-post status-publish format-standard hentry">
    <header class="entry-header">
        <h1 class="entry-title">SelectPdf for .NET - Pdf To Image Converter. Convert PDF pages to PNG, JPG, BMP or TIFF - VB.NET / ASP.NET MVC Sample</h1>
    </header>
    <!-- .entry-header -->

    <div class="entry-content">
        <p>
            This sample shows how to use SelectPdf Pdf Library for .NET to convert PDF document pages to different image formats.
        </p>
        <p>
            The sample uses the following (existing) test PDF:<br />
            <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
        </p>

        <p>
            This sample will only convert the first page from the specified range (for PNG, JPG, BMP formats). For the TIFF multipage image format, all the specified pages will be converted.
        </p>

        <div class="col3">
            Image Format:<br />
            <select name="DdlImageFormat">
                <option value="PNG">PNG</option>
                <option value="JPEG">JPEG</option>
                <option value="BMP">BMP</option>
                <option value="TIFF">TIFF</option>
            </select><br />
        </div>
        <div class="col3">
            Start Page:<br />
            <input type="text" value="1" name="TxtStartPage" style="width: 100px;" />
            <br />
            <br />
        </div>
        <div class="col3">
            End Page:<br />
            <input type="text" value="" name="TxtEndPage" style="width: 100px;" />
            <br />
            (Leave empty to extract until the last page)<br />
            <br />
        </div>

        <div class="col-clear"></div>
        <p>
            <input type="submit" name="BtnConvert" value="Convert To Image" class="mybutton" />
        </p>
    </div>
    <!-- .entry-content -->
</article>
End Using