﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Watermarks - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Watermarks Sample for VB.NET / ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf watermarks, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfWatermarks", FormMethod.Post))

@<article class="post type-post status-publish format-standard hentry">
    <header class="entry-header">
        <h1 class="entry-title">SelectPdf for .NET - Pdf Watermarks - VB.NET / ASP.NET MVC Sample</h1>
    </header>
    <!-- .entry-header -->

    <div class="entry-content">
        <p>
            This sample shows how to create a new PDF document using SelectPdf, how to add several pages and watermark all the pages with a transparent image in the background.
            <br /><br />
            Pdf watermarks are done using pdf templates that contain elements that repeat on each page of the pdf document.
        </p>
        <p>
            <input type="submit" ID="BtnCreatePdf" value="Create PDF"  class="mybutton" />
        </p>
    </div>
    <!-- .entry-content -->
</article>

End Using
    