﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="headers-and-footers.aspx.cs" Inherits="SelectPdf.Samples.headers_and_footers" ValidateRequest="false" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf Document Headers and Footers - C# / ASP.NET</title>
    <meta name="description" content="SelectPdf Pdf Document Headers and Footers Sample for C# and ASPNET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf header, pdf footer, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf Document Headers and Footers - C# / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to create a new PDF document using SelectPdf, how to add several pages and set the header and footer of the pdf document.
                    <br /><br />
                    Headers and footers are a custom type of pdf template. Header is displayed at the top of the page. Footer is displayed at the bottom of the page.
                    They contain elements that repeat on each page of the pdf document.
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
