﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Elements Rendering Positions - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Elements Positions Sample for VB.NET ASPNET MVC Razor. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf elements positions, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfElementsPositions", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Elements Rendering Position - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to create a new PDF document using SelectPdf and add several text elements to it,
                for each additional element using the finish position of the previous element, to introduce some space between the lines of text.
            </p>
            <p>
                <input type="submit" id="BtnCreatePdf" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
       
End Using
    