﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Split - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Split Sample for VB.NET and asp.net MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf split, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfSplit", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Split - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to use SelectPdf Library for .NET to split a pdf document into several pdf documents or extract only certain pages from the original document and 
                create a new pdf document only with them.
                <br />
                <br />
                Here is our initial test pdf document:<br />
                <a href="files/doc.pdf" target="_blank">Test file</a><br />
                <br />
                Click on the "Create PDF" button below to see the result. This sample will create a new pdf document containing only pages 2 and 3 from the original pdf document.
            </p>
            <p>
                <input type="submit" id="BtnCreatePdf" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>

End Using
    