﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Search for Text in Pdf. PDF To Text Converter - VB.NET / ASP.NET MVC"
    ViewBag.Description = "Search for Text in Pdf. PDF To Text Converter Sample for VB.NET/ASPNET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "search pdf, find text pdf, pdf to text, extract text from pdf, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "SearchPdfText", FormMethod.Post))
@<article class="post type-post status-publish format-standard hentry">
    <header class="entry-header">
        <h1 class="entry-title">SelectPdf for .NET - Search for Text in PDF - VB.NET / ASP.NET MVC Sample</h1>
    </header>
    <!-- .entry-header -->

    <div class="entry-content">
        <p>
            This sample shows how to use SelectPdf PDF Library for .NET to search for text in a PDF document.
            <br />
            A new PDF will be created highlighting the text that has been found.
        </p>
        <p>
            The sample uses the following (existing) test PDF:<br />
            <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
        </p>

        <div class="col2">
            Text to Search:<br />
            <input type="text" value="PDF" name="TxtSearchText" style="width: 90%;" /><br />
            <br />
        </div>
        <div class="col2">
            Search Settings:<br />
            <input type="checkbox" id="ChkCaseSensitive" name="ChkCaseSensitive" /> Case Sensitive<br />
            <input type="checkbox" id="ChkWholeWordsOnly" name="ChkWholeWordsOnly" /> Whole Words Only<br />
        </div>

        <div class="col-clear"></div>
        <p>
            <input type="submit" name="BtnConvert" value="Search" class="mybutton" />
        </p>
    </div>
    <!-- .entry-content -->
</article>
End Using
